Berkeley DB version 5.3.28

## com.sleepycat.db
Class HeapFullException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException
                  com.sleepycat.db.HeapFullException

All Implemented Interfaces:
  Serializable

    public class HeapFullException

extends DatabaseException

A HeapFullException is thrown when an attempt was made to add or update a record in a Heap database. However, the size of the database was constrained using `DatabaseConfig.setHeapsize`, and that limit has been reached.

See Also:
  Serialized Form

Method Summary
`String` `toString()`

Methods inherited from class com.sleepycat.db.DatabaseException
`getEnvironment, getErrno`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `DatabaseException`

Berkeley DB version 5.3.28

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.